<div></div>
<div style="width: 100%" class="modal-body p-0 m-4">
    <h4>Company Edit</h4>
    <div style="    padding: 10px;">
      <div><div class="modal-card-body">
        <form [formGroup]="companyForm"  class="searchForm" id="searchForm">
          <div class="form-group row flex-column mb-3">
            <div class="col-sm-12 col-md-5 col-lg-3">
              <label
                for="party"
                class="control-label col-form-label float-left text-left font-weight-bolder white-space-pre"
              >
                Name
                <sup class="text-danger">*</sup>
              </label>
            </div>
            <div class="col-sm-12">
              <input
                id="closeButton"
                formControlName="name"
                class="form-control float-left"
                placeholder="Name"
               
              />
            
            </div>
          </div>
          <div class="form-group row flex-column mb-3">
            <div class="col-sm-12 col-md-5 col-lg-3">
              <label
                for="party"
                class="control-label col-form-label float-left text-left font-weight-bolder white-space-pre"
              >
                Address
                <sup class="text-danger">*</sup>
              </label>
            </div>
            <div class="col-sm-12">
              <input
                id="closeButton"
                formControlName="address"
                class="form-control float-left"
                placeholder="Name"
               
              />
            
            </div>
          </div>
          <div *ngFor="let property of propertyValues;let i=index" class="form-group row flex-column mb-3">
            <div class="col-sm-12 col-md-5 col-lg-3">
              <label
                for="party"
                class="control-label col-form-label float-left text-left font-weight-bolder white-space-pre"
              >
                {{ property.name }}
                <sup class="text-danger">*</sup>
              </label>
            </div>
            <div class="col-sm-12">
              <input
                id="closeButton"
               [value]="property.value"
               (keyup)="setPropertyValue($event,i)"
                class="form-control float-left"
                placeholder="Name"
               
              />
            
            </div>
          </div>
        </form>
      </div>
      <div class="row">
        <div class="col-12">
          <div class="advance-filter-btn-list">
            <button
              type="submit"
              class="btn btn-primary gkb-submit-btn mr-2"
            (click)="uploadForm()"
            >
              Submit
            </button>
      
          </div>
        </div>
      </div>
      </div>
    </div>
   
  </div>
